### Method

# GimpUi Browser add_search_types

since: 2.4

#### Declaration [src]

    void
    gimp_browser_add_search_types (
      GimpBrowser* browser,
      const gchar* first_type_label,
      gint first_type_id,
      ...
    )

#### Description [src]

Populates the `GtkComboBox` with search types.

Available since: 2.4

This method is not directly available to language bindings.

#### Parameters

`first_type_label`

  Type: `const gchar*`

  The label of the first search type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`first_type_id`

  Type: `gint`

  An integer that identifies the first search type.

`...`

  Type: ``

  A `NULL`-terminated list of more labels and ids.